--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "TODO: document @api semipublic"
full_name: DataMapper::Property::new
is_singleton: true
name: new
params: (model, name, type, options = {})
visibility: public
